Subject: Re: [PATCH v2 0/4] Linux native filesystem encryption (fscrypt).
From: Leo Famulari <[email-masked]>
To: 45mg <[email-masked]>
Cc: [email-masked], Wilko Meyer <[email-masked]>, Katherine Cox-Buday <[email-masked]>, Sharlatan Hellseher <[email-masked]>
Date: Tue, 8 Apr 2025 20:28:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Apr 07, 2025 at 06:44:40AM +0000, 45mg wrote:
> From that page and from the test I described above, it looks like
> CONFIG_FS_ENCRYPTION is the only option that's strictly necessary for
> the default encryption mode.
> 
> The other options mentioned in the docs seem to be either (1) for using
> other encryption modes, or (2) for hardware acceleration, which is
> platform-specific. I don't have any need for (1) so I probably won't
> look into it in the near future. Once this patch series is merged and I
> start relying on fscrypt, I should get an idea of the performance
> situation; at that point I might look into (2) if I feel that the
> un-accelerated performance isn't good enough.
> 
> (In the meantime, of course, anyone else is welcome to look into it.)

Sounds good! I pushed the patches as
bf6736bd878a14e0520a550bf8fbf8edb69876df

Thanks for working on this!